Page MenuHomePhabricator

"Go to top" icon is misaligned on iOS
Closed, ResolvedPublic

Description

When logged into beta we show a "Go to top icon"


The "Go to top" icon should not appear on any iPhone or iPad browsers but it should appear on other browsers including desktop Safari. Use browser user agent to determine where to show this.

Event Timeline

Restricted Application added subscribers: TerraCodes, Aklapper. · View Herald TranscriptJul 29 2016, 4:07 AM
Jdlrobson added subscribers: Nirzar, Jdlrobson.

@Nirzar @Florian we should also talk about what to do with this feature. Note that on Safari iOS in particular it doesn't really make sense given that the user can click on the address bar to scroll to the top.

given that the user can click on the address bar to scroll to the top

I don't think this is the default behavior for all browsers, for example Firefox on Android.

Jdlrobson renamed this task from "Go to top" icon mismanaged. to "Go to top" icon is misaligned on iOS.Aug 1 2016, 5:13 PM

given that the user can click on the address bar to scroll to the top

I don't think this is the default behavior for all browsers, for example Firefox on Android.

it is not default behaviour. As I stated in the above comment this only applies on iOS (for which the bug is raised)

iOS or Safari?

dr0ptp4kt triaged this task as Normal priority.Aug 1 2016, 5:15 PM
dr0ptp4kt moved this task from Incoming to Triaged but Future on the Readers-Web-Backlog board.
dr0ptp4kt added a subscriber: dr0ptp4kt.

Following up from triage: the question about whether to eliminate the button on iOS is out of scope for this task for the time being. This task is strictly about fixing the layout bug.

@Jdlrobson i agree that we need to revaluate this particular feature. not only for ios but everyone and take a decision to move it to stable or kill it.

@dr0ptp4kt as far as this ticket goes, we can either decline it and create new ticket to remove this button on iOS /or/ as you said, fix it

Hmpf, I've neither an iPhone 4s (or any other Mac-devices), nor can I reproduce the problem in Chrome, even when switching to iPhone 5 UA :( That will be hard to fix it, if I can't test it, so I won't take this task, unfortunately :(

Jdlrobson updated the task description. (Show Details)

Is anyone available with an iPhone, who want to mentor this task in GCI 2016? :)

I have the iOS simulator available to test/mentor this. Let's remove the button on iOS given it replicates the double tap on the address bar functionality.

As the removal of the button would be recognized by User Agent (I assume), I could mentor this task, too, as this should be possible to test with Chrome :) @Jdlrobson: Are you ok, if this task would've two mentors? :D

Totally @Florian :) The more people mentoring the better! Feel free to co-mentor any other tasks I add Google Code In too as well!

I created the task: https://codein.withgoogle.com/dashboard/tasks/5069807544172544/

However, Jon, you're not a mentor in GCI, yet, I send you an invitation and hope that's ok :)

Change 330175 had a related patch set uploaded (by Gavinb):
Don't show the back to top icon in iOS

https://gerrit.wikimedia.org/r/330175

MtDu added a subscriber: MtDu.Jan 5 2017, 12:35 PM

@Florian @Jdlrobson
The student working on this seems to no longer have claimed the task. Is there any way for you all to contact him/her to allow him to finish the task? If not, I can fix the issues in the patch so we can get it merged. :)

divadsn claimed this task.Jan 7 2017, 5:36 PM
divadsn added a subscriber: divadsn.

@MtDu I will see what he has already done and finish it asap :)

Change 331158 had a related patch set uploaded (by Divadsn):
Don't show the back to top icon in iOS

https://gerrit.wikimedia.org/r/331158

Change 331158 abandoned by Divadsn:
Don't show the back to top icon in iOS

Reason:
Will amend the existing patch.

https://gerrit.wikimedia.org/r/331158

divadsn added a comment.EditedJan 8 2017, 12:44 PM

Hmm, but what if the user is browsing using Firefox or Chrome on iOS, will the user agent string still be iOS like?

Or does these browsers also have that feature built in?

Change 330175 merged by jenkins-bot:
Don't show the back to top icon in iOS

https://gerrit.wikimedia.org/r/330175

Florian closed this task as Resolved.Jan 9 2017, 10:15 PM